Index: lemon/concepts/graph_components.h
===================================================================
--- lemon/concepts/graph_components.h	(revision 1161)
+++ lemon/concepts/graph_components.h	(revision 1175)
@@ -109,4 +109,6 @@
 
           bool b;
+          ignore_unused_variable_warning(b);
+
           b = (ia == ib) && (ia != ib);
           b = (ia == INVALID) && (ib != INVALID);
Index: test/bellman_ford_test.cc
===================================================================
--- test/bellman_ford_test.cc	(revision 1160)
+++ test/bellman_ford_test.cc	(revision 1174)
@@ -66,6 +66,8 @@
   Arc e;
   Value l;
+  ignore_unused_variable_warning(l);
   int k=3;
   bool b;
+  ignore_unused_variable_warning(b);
   BF::DistMap d(gr);
   BF::PredMap p(gr);
@@ -148,4 +150,6 @@
   Digraph g;
   bool b;
+  ignore_unused_variable_warning(b);
+
   bellmanFord(g,LengthMap()).run(Node());
   b = bellmanFord(g,LengthMap()).run(Node(),Node());
Index: test/bfs_test.cc
===================================================================
--- test/bfs_test.cc	(revision 956)
+++ test/bfs_test.cc	(revision 1173)
@@ -62,4 +62,5 @@
   Arc e;
   int l, i;
+  ignore_unused_variable_warning(l,i);
   bool b;
   BType::DistMap d(G);
@@ -151,4 +152,6 @@
   Digraph g;
   bool b;
+  ignore_unused_variable_warning(b);
+
   bfs(g).run(Node());
   b=bfs(g).run(Node(),Node());
Index: test/circulation_test.cc
===================================================================
--- test/circulation_test.cc	(revision 956)
+++ test/circulation_test.cc	(revision 1173)
@@ -74,4 +74,5 @@
   VType v;
   bool b;
+  ignore_unused_variable_warning(v,b);
 
   typedef Circulation<Digraph, CapMap, CapMap, SupplyMap>
Index: test/dfs_test.cc
===================================================================
--- test/dfs_test.cc	(revision 1110)
+++ test/dfs_test.cc	(revision 1175)
@@ -68,4 +68,6 @@
   int l, i;
   bool b;
+  ignore_unused_variable_warning(l,i,b);
+
   DType::DistMap d(G);
   DType::PredMap p(G);
@@ -152,4 +154,6 @@
   Digraph g;
   bool b;
+  ignore_unused_variable_warning(b);
+
   dfs(g).run(Node());
   b=dfs(g).run(Node(),Node());
Index: test/dijkstra_test.cc
===================================================================
--- test/dijkstra_test.cc	(revision 956)
+++ test/dijkstra_test.cc	(revision 1173)
@@ -66,4 +66,6 @@
   int i;
   bool b;
+  ignore_unused_variable_warning(l,i,b);
+
   DType::DistMap d(G);
   DType::PredMap p(G);
@@ -163,4 +165,6 @@
   Digraph g;
   bool b;
+  ignore_unused_variable_warning(b);
+
   dijkstra(g,LengthMap()).run(Node());
   b=dijkstra(g,LengthMap()).run(Node(),Node());
Index: test/gomory_hu_test.cc
===================================================================
--- test/gomory_hu_test.cc	(revision 956)
+++ test/gomory_hu_test.cc	(revision 1173)
@@ -69,4 +69,5 @@
   Value v;
   int d;
+  ignore_unused_variable_warning(v,d);
 
   GomoryHu<Graph, CapMap> gh_test(g, cap);
Index: test/hao_orlin_test.cc
===================================================================
--- test/hao_orlin_test.cc	(revision 956)
+++ test/hao_orlin_test.cc	(revision 1173)
@@ -67,4 +67,5 @@
   CutMap cut;
   Value v;
+  ignore_unused_variable_warning(v);
 
   HaoOrlin<Digraph, CapMap> ho_test(g, cap);
Index: test/matching_test.cc
===================================================================
--- test/matching_test.cc	(revision 956)
+++ test/matching_test.cc	(revision 1173)
@@ -146,4 +146,5 @@
   MaxMatching<Graph>::Status stat =
     const_mat_test.status(n);
+  ignore_unused_variable_warning(stat);
   const MaxMatching<Graph>::StatusMap& smap =
     const_mat_test.statusMap();
Index: test/min_cost_arborescence_test.cc
===================================================================
--- test/min_cost_arborescence_test.cc	(revision 956)
+++ test/min_cost_arborescence_test.cc	(revision 1173)
@@ -92,4 +92,5 @@
   VType c;
   bool b;
+  ignore_unused_variable_warning(c,b);
   int i;
   CostMap cost;
Index: test/preflow_test.cc
===================================================================
--- test/preflow_test.cc	(revision 1084)
+++ test/preflow_test.cc	(revision 1175)
@@ -87,4 +87,5 @@
   VType v;
   bool b;
+  ignore_unused_variable_warning(v,b);
 
   typedef Preflow<Digraph, CapMap>
Index: test/suurballe_test.cc
===================================================================
--- test/suurballe_test.cc	(revision 956)
+++ test/suurballe_test.cc	(revision 1173)
@@ -118,4 +118,6 @@
   int f;
   VType c;
+  ignore_unused_variable_warning(f,c);
+
   c = const_suurb_test.totalLength();
   f = const_suurb_test.flow(e);
